Hardware Locality (hwloc): Object/String Conversion

Hardware Locality (hwloc) 1.2.2

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Functions
Object/String Conversion

## Functions
const char * | hwloc_obj_type_string (hwloc_obj_type_t type)
hwloc_obj_type_t | hwloc_obj_type_of_string (const char *string)
int | hwloc_obj_type_snprintf (char *restrict string, size_t size, hwloc_obj_t obj, int verbose)
int | hwloc_obj_attr_snprintf (char *restrict string, size_t size, hwloc_obj_t obj, const char *restrict separator, int verbose)
int | hwloc_obj_snprintf (char *restrict string, size_t size, hwloc_topology_t topology, hwloc_obj_t obj, const char *restrict indexprefix, int verbose)
int | hwloc_obj_cpuset_snprintf (char *restrict str, size_t size, size_t nobj, const hwloc_obj_t *restrict objs)
static inline char * | hwloc_obj_get_info_by_name (hwloc_obj_t obj, const char *name)

## Function Documentation

int hwloc_obj_attr_snprintf | ( | char *restrict | string,
|  | size_t | size,
|  | hwloc_obj_t | obj,
|  | const char *restrict | separator,
|  | int | verbose
| ) |  |

Stringify the attributes of a given topology object into a human-readable form.

Attribute values are separated by `separator`.

Only the major attributes are printed in non-verbose mode.

If `size` is 0, `string` may safely be `NULL`.

Returns:
  the number of character that were actually written if not truncating, or that would have been written (not including the ending \0).

int hwloc_obj_cpuset_snprintf | ( | char *restrict | str,
|  | size_t | size,
|  | size_t | nobj,
|  | const hwloc_obj_t *restrict | objs
| ) |  |

Stringify the cpuset containing a set of objects.

If `size` is 0, `string` may safely be `NULL`.

Returns:
  the number of character that were actually written if not truncating, or that would have been written (not including the ending \0).

static inline char* hwloc_obj_get_info_by_name | ( | hwloc_obj_t | obj,
|  | const char * | name
| ) |  | `[static]`

Search the given key name in object infos and return the corresponding value.

Returns:
  `NULL` if no such key exists.

int hwloc_obj_snprintf | ( | char *restrict | string,
|  | size_t | size,
|  | hwloc_topology_t | topology,
|  | hwloc_obj_t | obj,
|  | const char *restrict | indexprefix,
|  | int | verbose
| ) |  |

Stringify a given topology object into a human-readable form.

Note:
  This function is deprecated in favor of hwloc_obj_type_snprintf() and hwloc_obj_attr_snprintf() since it is not very flexible and only prints physical/OS indexes.

Fill string `string` up to `size` characters with the description of topology object `obj` in topology `topology`.

If `verbose` is set, a longer description is used. Otherwise a short description is used.

`indexprefix` is used to prefix the `os_index` attribute number of the object in the description. If `NULL`, the `#` character is used.

If `size` is 0, `string` may safely be `NULL`.

Returns:
  the number of character that were actually written if not truncating, or that would have been written (not including the ending \0).

hwloc_obj_type_t hwloc_obj_type_of_string | ( | const char * | string | ) |

Return an object type from the string.

Returns:
  -1 if unrecognized.

int hwloc_obj_type_snprintf | ( | char *restrict | string,
|  | size_t | size,
|  | hwloc_obj_t | obj,
|  | int | verbose
| ) |  |

Stringify the type of a given topology object into a human-readable form.

It differs from hwloc_obj_type_string() because it prints type attributes such as cache depth.

If `size` is 0, `string` may safely be `NULL`.

Returns:
  the number of character that were actually written if not truncating, or that would have been written (not including the ending \0).

const char* hwloc_obj_type_string | ( | hwloc_obj_type_t | type | ) | const

Return a stringified topology object type.